{% extends "customers/base.html" %}
{% load i18n %}
{% load staticfiles %}
{% load humanize %}

{% block pagelevelcss %}
<link href="{% static 'assets/plugins/datatables.net-bs4/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/select2/dist/css/select2.min.css' %}" rel="stylesheet" />
{% endblock %}


{% block title %}Pagos cuentas incorrectas{% endblock %}

{% block page %}

{% if perms.customers.cleared_payment %}
<input id="canClear" type="hidden" value="yes">
{% else %}
<input id="canClear" type="hidden" value="no">
{% endif %}


<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
	<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item active">Pagos</li>
</ol>
<!-- end breadcrumb -->

<!-- begin page-header -->
<h1 class="page-header">Lista pagos erróneos </h1>
<!-- end page-header -->


<!-- begin row -->
<div class="row">
  <!-- begin col-12 -->
  <div class="col-xl-12 ui-sortable">
    <!-- begin panel -->
    <div class="panel panel-inverse" data-sortable-id="ui-general-1">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <h4 class="panel-title">Lista de Pagos erróneos</h4>
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
        </div>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
        <form class="form-inline">

          <div class="form-group m-r-10">
            <label for="id_cleared" class="control-label m-r-10">Fecha</label>
            <label for="id_start_date">Desde </label> <input type="date" name="start_date" class="datepicker" id="id_start_date">
            <label for="id_end_date">Hasta </label> <input type="date" name="end_date" class="datepicker" id="id_end_date">
          </div>

          <div class="form-group m-r-10">
                  <label for="id_operator_cliente" class="control-label m-r-10">O. Cliente</label>
                  <select id="id_operator_cliente" class="form-control">
                      {% for operator in operators %}
                      <option value="{{ operator.pk }}">{{ operator.name }}</option>
                      {% endfor %}
                  </select>
          </div>

          <div class="form-group m-r-10">
                  <label for="id_operator" class="control-label m-r-10">O. Pago</label>
                  <select id="id_operator" class="form-control">
                      {% for operator in operators %}
                      <option value="{{ operator.pk }}">{{ operator.name }}</option>
                      {% endfor %}
                  </select>
          </div>

          <div class="form-group m-r-10">
            <button id="export-button" class="btn btn-indigo btn-sm pull-right ml-1">Exportar</button>
          </div>
        
        </form>
        <table id="payment-list" cellspacing="0" class="table table-hover">
          <thead>
            <tr>
              <th>Fecha de creación</th>
              <th>ID</th>
              <th>Cliente</th>
              <th>O. Cliente</th>
              <th>Fecha de pago</th>
              <th>Monto</th>
              <th>Manual</th>
              <th>Tipo</th>
              <th>Agente</th>
              <th>Conciliado</th>
            </tr>
          </thead>
          <tbody>
          </tbody>
        </table>
      </div>
          <!-- end panel-body -->
    </div>
          <!-- end panel -->
  </div>
  <!-- end col-12 -->
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}


{% block pageleveljs %}
<script type="text/javascript" defer>
    //active menu
    document.getElementById("reports_menu").classList.add("active");
    //active submenu item
    document.getElementById("payment_other_accountreport_item").classList.add("active");
</script>

<script src="{% static 'assets/plugins/datatables.net/jquery.dataTables.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-bs4/js/dataTables.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive/js/dataTables.responsive.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/datatables.net-responsive-bs4/js/responsive.bootstrap4.min.js' %}" defer></script>
<script src="{% static 'assets/plugins/select2/dist/js/select2.min.js' %}"></script>
<script type="text/javascript" src="{% static 'theme/build/js/pages/payment-other-account-report.js' %}"></script>
<script>
$('#id_bankaccount').select2({
  placeholder: 'Selecciona una cuenta',
  allowClear: true
});

$('#id_operator').select2({
  placeholder: 'Selecciona un operador',
  allowClear: true
});
$('#id_operator').val('').trigger('change')

$('#id_operator_cliente').select2({
  placeholder: 'Selecciona un operador',
  allowClear: true
});
$('#id_operator_cliente').val('').trigger('change')



$('#id_bankaccount').val('').trigger('change');

function get_data(){
  try {
    operator_id = document.getElementById("id_operator").value;
  }
  catch(error) {
    operator_id = 0;
  }


  $('#id_bankaccount').val(null).trigger('change');
  $('#id_bankaccount').empty();

  if(operator_id.length != 0){
    var params = {operator: operator_id};
    $.get('/bankaccount_ajax/', params, function(json_response) {
      var obj = json_response.bankaccounts;
      Object.keys(obj).forEach(function(k){
        var data = {
          id : obj[k].id,
          text : obj[k].tag
        }
        var newOption = new Option(data.text, data.id, false, false);
        $('#id_bankaccount').append(newOption).trigger('change');
        //$('#id_bankaccount').val(null).trigger('change');
      });
    });    
  }
  else{
    $.get('/bankaccount_ajax/', function(json_response) {
      var obj = json_response.bankaccounts;
      Object.keys(obj).forEach(function(k){
        var data = {
          id : obj[k].id,
          text : obj[k].tag
        }
        var newOption = new Option(data.text, data.id, false, false);
        $('#id_bankaccount').append(newOption).trigger('change');
        //$('#id_bankaccount').val(null).trigger('change');
      });
    });
  }

}

get_data();
</script>
{% endblock %}



